--
-- Specialisation for MB Trac 1600 Turbo
-- 
-- Author: Mofa-Killer, Face

tacholights = {};

function tacholights.prerequisitesPresent(specializations)
    return true;
end;

function tacholights:load(xmlFile)

    
	self.batterieicon = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.batterieicon#index"));
	
	
	self.updateJoint = false;
end;

function tacholights:delete()
end;

function tacholights:readStream(streamId, connection)
end;

function tacholights:writeStream(streamId, connection)
end;

function tacholights:mouseEvent(posX, posY, isDown, isUp, button)
end;

function tacholights:keyEvent(unicode, sym, modifier, isDown)
end;


function tacholights:update(dt)

	if self:getIsActive() then
	
		if self.ignitionMode == 0 then
        
        setVisibility(self.batterieicon, false);
        end;
    else
        setVisibility(self.batterieicon, true);
    end;
	
	if self:getIsActive() then
	
		if self.ignitionMode == 1 then
        
        setVisibility(self.batterieicon, true);
        end;
    else
        setVisibility(self.batterieicon, true);
    end;
	
	if self:getIsActive() then
	
		if self.ignitionMode == 2 then
        
        setVisibility(self.batterieicon, false);
        end;
    else
        setVisibility(self.batterieicon, true);
    end;
	
end;

function tacholights:draw()
end;	